New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

"An error occurred when setting path configuration. Default paths will be used." #114

Closed
pvstodghill opened this Issue Aug 8, 2016 · 2 comments

Comments

Projects
None yet
2 participants
@pvstodghill

pvstodghill commented Aug 8, 2016

This may be a bug report, I'm not sure.

I am using SearchGUI-3.0.3 for Linux and Mac.

I am able to run FastaCLI and SearchCLI successfully, but in both cases, I get the message "An error occurred when setting path configuration. Default paths will be used." For the FastaCLI, I get the following backtrace,

+ java -Djava.awt.headless=true -Xmx4g -cp /storage/ps27/work/projects/spectra-search/pipeline/bin/../lib/SearchGUI/SearchGUI-3.0.3.jar eu.isas.searchgui.cmd.FastaCLI -in work/db.fasta -decoy
An error occurred when setting path configuration. Default paths will be used.
java.awt.HeadlessException
    at java.awt.GraphicsEnvironment.checkHeadless(GraphicsEnvironment.java:204)
    at java.awt.Window.<init>(Window.java:536)
    at java.awt.Frame.<init>(Frame.java:420)
    at java.awt.Frame.<init>(Frame.java:385)
    at javax.swing.JFrame.<init>(JFrame.java:189)
    at eu.isas.searchgui.gui.SearchGUI.<init>(SearchGUI.java:229)
    at eu.isas.searchgui.gui.SearchGUI.getJarFilePath(SearchGUI.java:6129)
    at eu.isas.searchgui.gui.SearchGUI.setPathConfiguration(SearchGUI.java:6139)
    at eu.isas.searchgui.cmd.FastaCLI.call(FastaCLI.java:81)
    at eu.isas.searchgui.cmd.FastaCLI.<init>(FastaCLI.java:58)
    at eu.isas.searchgui.cmd.FastaCLI.main(FastaCLI.java:214)
Unable to load the path configurations. Default pathswill be used.

As you can see from the invocation, I've tried adding "-Djava.awt.headless=true". It makes no difference.

I can't tell whether this is a problem with my local configuration or a bug with SearchGUI.

Note that when running SearchGUI (i.e., the gui version), I do not get this error/warning.

Here is some other info about my configuration,

$ uname -a
Linux daffy 4.4.0-31-generic #50-Ubuntu SMP Wed Jul 13 00:07:12 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
$ cat /etc/issue
Ubuntu 16.04.1 LTS \n \l

$  
Java Home: /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/
Java Version: 1.8.0_91
32 Bit or 64 Bit: 64 Bit Java
Memory: 4.0 GB

Thanks, in advance, for your assistance.

@hbarsnes hbarsnes self-assigned this Aug 9, 2016

@hbarsnes hbarsnes added the bug label Aug 9, 2016

@hbarsnes

This comment has been minimized.

Show comment
Hide comment
@hbarsnes

hbarsnes Aug 9, 2016

Member

Hi.

Thanks for telling us about this. This is a newly introduced error on our side. We will correct it and release a new version as soon as possible. Hopefully later this week.

Best regards,
Harald

Member

hbarsnes commented Aug 9, 2016

Hi.

Thanks for telling us about this. This is a newly introduced error on our side. We will correct it and release a new version as soon as possible. Hopefully later this week.

Best regards,
Harald

@hbarsnes

This comment has been minimized.

Show comment
Hide comment
@hbarsnes

hbarsnes Aug 13, 2016

Member

Hi.

The error should be fixed in SearchGUI v.3.0.4. If this is not the case please let us know and we'll reopen the issue.

Best regards,
Harald

Member

hbarsnes commented Aug 13, 2016

Hi.

The error should be fixed in SearchGUI v.3.0.4. If this is not the case please let us know and we'll reopen the issue.

Best regards,
Harald

@hbarsnes hbarsnes closed this Aug 13, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment